.flex-container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap; // -webkit-justify-content: space-around;
    -ms-flex-pack: distribute; // justify-content: space-around;
}
.clearfix{
    clear:both;
}
.cart-scroll-button{
    position: fixed;
    right:5px;
    top:50%;
    width:50px;
    height: 80px;
    background: var(--dark);
    border-radius: 5px;
    text-align:center;
    border:1px solid var(--dark);
    -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    //line-height: 100px;
    &:hover{
        background: var(--white);
        cursor: pointer;
        .count{
            color:var(--dark);
        }
        .icon-cart{
            span{
                color:var(--dark);
            }
        }
    }
    .count{
        color:var(--white);
        font-size:24px;
        padding-top: 20px;
        line-height: 10px;
    }
    .icon-cart{
        color:var(--white);
        font-size:24px;
        span{
            color:var(--white);
        }
    }
}
/* width */
::-webkit-scrollbar {
    width: 3px !important;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px lightgrey; 
    border-radius: 10px;
  }
   
/* Handle */
  ::-webkit-scrollbar-thumb {
    background: var(--teal) !important; 
    border-radius: 10px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555; 
  }
/*#region css modal*/

.modal#cartModal {
    top: 100px;

    .modal-dialog {
        width: 700px;

        .modal-content {
            box-shadow: none;
            border: 0;

            .modal-header {
                border-bottom: 0;

                .item-product {
                    width: 100%;

                    .nc-ava {
                        width: 15%;
                        float: left;
                    }

                    .nc-info {
                        width: calc(70% - 20px);
                        float: left;
                        margin-left: 20px;
                        padding: 10px 0;

                        .nc-title {
                            text-transform: uppercase;
                            color: var(--dark);
                            font-weight: bold;
                        }

                        .nc-price {
                            span {
                                color: var(--dark);
                                font-weight: bold;
                            }
                        }
                    }

                    .nc-quantity {
                        width: 15%;
                        float: left;
                        margin-top: 30px;

                        .nc-quantity-container {
                            display: -webkit-inline-flex;
                            display: -ms-inline-flexbox;
                            display: inline-flex;
                            align-items: center;
                            width: 100%;

                            .nc-divide {
                                width: auto;


                                .nc-divide-inner {
                                    text-align: right;
                                    float: right;

                                    a {
                                        text-align: center;
                                        width: 25px;
                                        display: block;
                                        height: 25px;
                                        font-size: 22px;
                                        line-height: 22px;
                                        border-radius: 50%;
                                        color: var(--gray);
                                        background: var(--white);
                                        /* margin-top: 5px; */
                                        border: 1px solid var(--gray);
                                    }
                                }
                            }

                            .nc-input {
                                width: auto;


                                input {
                                    width: 100%;
                                    border: 0;
                                    text-align: center;
                                    font-size: 22px;
                                    line-height: 6px;
                                    background: var(--white);

                                    &:focus {
                                        outline: none;
                                    }
                                }
                            }

                            .nc-increase {
                                width: auto;


                                .nc-increase-inner {
                                    float: right;
                                    text-align: right;

                                    a {
                                        width: 25px;
                                        display: block;
                                        font-size: 25px;
                                        text-align: center;
                                        height: 25px;
                                        line-height: 22px;
                                        border-radius: 50%;
                                        color: var(--white);
                                        background: var(--teal);
                                        border: 1px solid var(--teal);
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .modal-body {
                overflow-y: scroll;
                height: 350px;

                .nc-option-type {
                    border-top: 1px solid var(--dark);
                    margin-top: 20px;

                    .label {
                        span {
                            display: inline-block;
                            background: var(--dark);
                            position: relative;
                            color: var(--white);
                            text-transform: uppercase;
                            padding: 5px 20px;
                            font-size: 13px;
                            letter-spacing: -1px;
                        }
                    }

                    .nc-option-list {

                        .nc-item-option {
                            width: 100%;
                            margin-top: 20px;

                            .nc-title {
                                width: 75%;
                                float: left;

                                span {
                                    text-transform: uppercase;
                                    font-weight: 600;
                                }
                            }

                            .nc-price {
                                width: 15%;
                                float: left;

                                span {
                                    font-weight: 600;
                                }
                            }

                            .nc-button {
                                width: 10%;
                                float: left;

                                .nc-button-container {
                                    display: block;
                                    position: relative;
                                    padding-left: 35px;
                                    margin-bottom: 12px;
                                    cursor: pointer;
                                    font-size: 22px;
                                    -webkit-user-select: none;
                                    -moz-user-select: none;
                                    -ms-user-select: none;
                                    user-select: none;
                                    float: right;

                                    input {
                                        position: absolute;
                                        opacity: 0;
                                        cursor: pointer;
                                        height: 0;
                                        width: 0;
                                    }

                                    input:checked ~ .checkmark {
                                        background-color: var(--teal);
                                        border: 2px solid var(--teal);

                                        &:after {
                                            display: block;
                                        }
                                    }

                                    .checkmark {
                                        position: absolute;
                                        top: 0;
                                        left: 0;
                                        height: 25px;
                                        width: 25px;
                                        border-radius: 50%;
                                        background-color: var(--white);
                                        border: 2px solid var(--gray);

                                        &:after {
                                            content: "";
                                            position: absolute;
                                            display: none;
                                            left: 7px;
                                            top: 2px;
                                            width: 8px;
                                            height: 15px;
                                            border: solid white;
                                            border-width: 0 3px 3px 0;
                                            -webkit-transform: rotate(45deg);
                                            -ms-transform: rotate(45deg);
                                            transform: rotate(45deg);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        .modal-footer {
            border-top: 0;

            .nc-section-body {
                .note {
                    border-bottom: 1px solid var(--dark);
                    padding-bottom: 10px;

                    textarea {
                        background: #e3e3e3;
                        outline: none;
                        resize: none;
                        width: 100%;
                        border: 0;
                        border-radius: 5px;
                        padding: 10px;
                        height: 80px;
                        font-style: italic;
                        font-weight: bold;
                    }
                }
            }

            .nc-section-footer {
                padding-top: 10px;

                .total {
                    width: 50%;
                    float: left;
                    text-align: left;

                    span {
                        color: var(--dark);
                        font-weight: bold;
                        font-size: 30px;
                    }
                }

                .nc-button {
                    width: 50%;
                    float: left;

                    .btn {
                        padding: 5px 25px;
                        border-radius: 0;
                        border: 1px solid var(--dark);
                        background: var(--white);
                        color: var(--dark);
                        text-transform: uppercase;
                        font-weight: 700;
                        font-size: 12px;

                        &:hover {
                            background: var(--dark);
                            color: var(--white);
                        }
                    }
                }
            }
        }
    }
}
.modal#notiModal{
    .modal-dialog{
        .modal-content{
            .modal-footer{
                a{
                    &.btn-primary{
                        border-radius: 0;
                        background: var(--dark);
                        text-transform: uppercase;
                        color: var(--white);
                        font-weight: 600;
                        border: 1px solid var(--dark);
                        padding: 7px 20px;
                        font-size: 12px;
                        &:hover{
                            background: var(--white);
                            color: var(--dark);
                        }
                    }
                   
                }
                button{
                    &.btn-secondary{
                        border-radius: 0;
                        background: var(--white);
                        text-transform: uppercase;
                        color: var(--dark);
                        font-weight: 600;
                        border: 1px solid var(--dark);
                        padding: 7px 20px;
                        font-size: 12px;
                        &:hover{
                            background: var(--dark);
                            color: var(--white);
                        }
                    }
                }
            }
        }
    }
}
.modal#viewCartModal {
    top: 100px;

    .modal-dialog {
        width: 700px;

        .modal-content {
            box-shadow: none;
            border: 0;

            .modal-body {
                .nc-table-cart {
                    table {
                        width: 100%;

                        thead {
                            tr {
                                th {
                                    background: var(--dark);
                                    text-transform: uppercase;
                                    font-weight: normal;
                                    text-align: center;
                                    color: var(--white);
                                    padding: 5px 0;
                                    border-right: 2px solid var(--white);
                                    font-size: 12px;

                                    &:nth-child(1) {
                                        width: 55%;
                                    }

                                    &:nth-child(2), &:nth-child(3), &:nth-child(4) {
                                        width: 15%;
                                    }

                                    &:last-child {
                                        border-right: 0;
                                    }
                                }
                            }
                        }

                        tbody {
                            tr {
                                border-bottom: 1px solid var(--dark);

                                td {
                                    padding: 10px 0;
                                    text-align: center;
                                    vertical-align: top;

                                    &:nth-child(1) {
                                        text-align: left;
                                    }

                                    .title {
                                        font-weight: 600;
                                        text-transform: uppercase;
                                    }

                                    ul {
                                        list-style: none;
                                        padding: 0 10px;
                                        margin: 0;

                                        li {
                                            text-transform: uppercase;
                                        }
                                    }

                                    span {
                                        &.qty {
                                            text-align: center;
                                            font-weight: 600;

                                            .nc-quantity-container {
                                                display: -webkit-inline-flex;
                                                display: -ms-inline-flexbox;
                                                display: inline-flex;
                                                align-items: center;
                                                width: 100%;
                                                vertical-align: top;

                                                .nc-divide {
                                                    width: auto;


                                                    .nc-divide-inner {
                                                        text-align: right;
                                                        float: right;

                                                        a {
                                                            text-align: center;
                                                            width: 20px;
                                                            display: block;
                                                            height: 20px;
                                                            line-height: 19px;
                                                            border-radius: 50%;
                                                            color: var(--gray);
                                                            background: var(--white);
                                                            //margin-top: 5px;
                                                            border: 1px solid var(--gray);
                                                        }
                                                    }
                                                }

                                                .nc-input {
                                                    width: auto;


                                                    input {
                                                        width: 100%;
                                                        border: 0;
                                                        text-align: center;
                                                        font-size: 20px;
                                                        line-height: 6px;
                                                        background: var(--white);

                                                        &:focus {
                                                            outline: none;
                                                        }
                                                    }
                                                }

                                                .nc-increase {
                                                    width: auto;


                                                    .nc-increase-inner {
                                                        float: right;
                                                        text-align: right;

                                                        a {
                                                            width: 20px;
                                                            display: block;
                                                            font-size: 20px;
                                                            text-align: center;
                                                            height: 20px;
                                                            line-height: 19px;
                                                            // margin-top: 5px;
                                                            border-radius: 50%;
                                                            color: var(--white);
                                                            background: var(--teal);
                                                            border: 1px solid var(--teal);
                                                        }
                                                    }
                                                }
                                            }
                                        }

                                        &.sub {
                                            text-align: center;
                                            font-weight: 600;
                                        }
                                    }

                                    a {
                                        text-align: center;
                                    }
                                }
                            }
                        }

                        tfoot {
                            tr {
                                &:nth-child(3) {
                                    td {
                                        font-weight: bold;

                                        &:nth-child(3) {
                                            color: var(--red);
                                        }
                                    }
                                }

                                td {
                                    &:nth-child(3) {
                                        text-align: right;
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .modal-footer {
                text-align: center;

                a {
                    &.btn-primary {
                        border-radius: 0;
                        background: var(--dark);
                        text-transform: uppercase;
                        color: var(--white);
                        font-weight: 600;
                        border: 1px solid var(--dark);
                        padding: 7px 20px;
                        font-size: 12px;

                        &:hover {
                            background: var(--white);
                            color: var(--dark);
                        }
                    }
                }

                button {
                    &.btn-secondary {
                        border-radius: 0;
                        background: var(--white);
                        text-transform: uppercase;
                        color: var(--dark);
                        font-weight: 600;
                        border: 1px solid var(--dark);
                        padding: 7px 20px;
                        font-size: 12px;

                        &:hover {
                            background: var(--dark);
                            color: var(--white);
                        }
                    }
                }
            }
        }
    }
}
/*#endregion*/
/*#region index*/
#product-category {
    .nc-section-header {
        .nc-title-category {
            .h4 {
                text-transform: uppercase;
                color: var(--dark);
                margin-bottom: 10px;
                font-weight: bold;
            }
        }
    }

    .nc-section-body {
        .nc-col-left {
            width: calc(25% - 10px);
            margin-right: 10px;
        }

        .nc-col-right {
            width: 75%;
        }

        #nc-sidebar {
            .nav-sidebar {
                list-style-type: none;
                margin: 0;
                padding: 0;
                border: 1px solid var(--dark);

                li {
                    padding: 5px 10px;
                    border-bottom: 1px solid var(--white);
                    background-color: var(--dark);
                    -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
                    -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
                    -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
                    transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
                    cursor: pointer;

                    a {
                        color: var(--white);
                        text-transform: uppercase;
                        font-weight: bold;
                        width: 100%;
                        display: inline-block;
                    }

                    &.active, &:hover {
                        background-color: var(--white);

                        a {
                            color: var(--dark);
                        }
                    }
                }
            }
        }

        #nc-product-list {
            .title {
                padding-bottom: 20px;
                text-align: center;
            }

            .nc-product-res-list {
                .nc-item-product {
                    border: 1px solid var(--gray);
                    padding: 5px;
                    width: 100%;
                    color: var(--white);
                    border-top: 0;

                    &:nth-child(1) {
                        border-top: 1px solid var(--gray);
                    }

                    .nc-ava {
                        width: 15%;
                        //   float: left;
                        img {
                            width: 100%;
                            height: auto;
                            // height:150px;
                        }
                    }

                    .nc-info {
                        width: calc(55% - 20px);
                        //  float: left;
                        margin-left: 20px;
                        padding-top: 5px;

                        .nc-title {
                            color: var(--dark);
                            text-transform: uppercase;

                            .h5 {
                                font-weight: bold;
                            }
                        }

                        .nc-des {
                            color: var(--gray-dark);
                            margin-top: 5px;
                            font-size: 13px;
                        }
                    }

                    .nc-price {
                        padding-top: 20px;
                        width: 10%;
                        // float: left;
                        font-weight: bold;
                        text-align: left;
                        font-size: 20px;
                        line-height: 35px;

                        span {
                            color: var(--dark);
                        }
                    }

                    .nc-button {
                        padding-top: 20px;
                        width: calc(20% - 40px);
                        margin-right: 20px;
                        margin-left: 20px;
                        // float: left;
                        a {
                            width: 100%;
                            border: 2px solid var(--dark);
                            background-color: var(--white);
                            color: var(--dark);
                            padding: 5px 20px;
                            display: inline-block;
                            border-radius: 0;
                            font-weight: bold;
                            text-transform: none;

                            &:hover {
                                background-color: var(--dark);
                                color: var(--white);
                            }
                        }
                    }
                }
            }
        }
    }
}
/*#endregion*/
.btn{
    border:1px solid var(--dark);
    text-transform: uppercase;
    color:var(--white);
    background:var(--dark);
    border-radius: 0;
    -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    &:hover{
        background:var(--white);
        color:var(--dark);
    }
}
/*#region checkout*/
#checkout {
    .nc-section-header {
        .nc-title-category {
            padding-bottom: 20px;
        }
    }

    .nc-section-body {
        .nc-billing-information {
            border: 1px solid var(--dark);

            .nc-list-item {

                table {
                    width: 100%;

                    thead {
                        th {
                            &:nth-child(1) {
                                width: 80%;
                            }

                            &:nth-child(2) {
                                width: 20%;
                            }
                        }
                    }

                    tbody {
                        tr {
                            padding: 10px;
                            border-bottom: 1px solid var(--dark);

                            &:last-child {
                                border-bottom: 0;
                            }

                            td {
                                text-transform: uppercase;
                                padding: 10px 15px;

                                .nc-title {
                                    font-weight: bold;
                                }

                                ul {
                                    list-style: none;
                                    padding: 0 0 0 10px;
                                    margin: 0;
                                }

                                &:nth-child(2) {
                                    font-weight: bold;
                                    text-align: right;
                                    vertical-align: top;
                                }
                            }
                        }
                    }
                }
            }
        }

        .button-container {
            margin-top: 10px;

            > * {
                width: calc(50% - 6px);
                margin-right: 10px;
                float: left;
            }

            .btn {
                &:nth-child(2) {
                    margin-right: 0;
                }
            }
        }

        .nc-contact-information {
            border: 1px solid var(--dark);

            .nc-info {
                padding: 10px 15px;
                border-bottom: 1px solid var(--dark);

                &:last-child {
                    border-bottom: 0px;
                }

                .nc-title {
                    font-weight: bold;
                    padding-bottom: 10px;
                }

                .nc-name {
                    margin-top: 5px;
                    font-size: 16px;
                }

                .coupon {
                    width: 100%;

                    input {
                        width: calc(80% - 6px);
                        margin-right: 5px;
                        float: left;
                        border-radius: 5px;
                    }

                    a {
                        width: 20%;
                        float: left;
                    }
                }

                .checkout-date {
                    .form-group {
                        .form-control {
                            border-radius: 5px;
                        }

                        .form-time {
                            select {
                                width: calc(50% - 6px);
                                margin-right: 10px;
                                float: left;

                                &:nth-child(2) {
                                    margin-right: 0;
                                }
                            }
                        }
                    }
                }

                .nc-billing {
                    border-top: 1px solid var(--gray);
                    border-bottom: 1px solid var(--gray);

                    .nc-item-product-mobile {
                        .nc-left {
                            width: 70%;
                            float: left;

                            .nc-name {
                                font-weight: bold;
                                text-transform: uppercase;
                            }

                            .nc-modifiers {
                                margin-left: 10px;
                            }
                        }

                        .nc-right {
                            width: 30%;
                            float: left;
                            text-align: right;

                            .nc-price {
                                font-weight: bold;
                                font-size: 24px;
                            }
                        }
                    }

                    .nc-item-total {
                        text-align: right;
                        font-weight: bold;
                        font-size: 23px;
                        margin-top: 0px;

                        > * {
                            width: 50%;
                            float: left;
                        }

                        .nc-left {
                            text-align: left;
                            font-weight: 600
                        }
                    }

                    .nc-item-subtotal {
                        text-align: right;
                        font-weight: bold;
                        font-size: 20px;
                        margin-top: 0px;

                        > * {
                            width: 50%;
                            float: left;
                        }

                        .nc-left {
                            text-align: left;
                            font-weight: 600
                        }
                    }
                }
            }
        }

        .button-container-contact {
            margin-top: 10px;
            text-align: right;

            a {
                padding: 5px 60px;
            }
        }
    }
}
/*#endregion*/

/*#region payment form*/
#payment-form{
    .nc-section-body{
        .container{
            width:600px;
        }
        .nc-payment-form{
            padding:10px 15px;
            border:1px solid var(--dark);
            text-transform: uppercase;
            .nc-title{
                font-weight: bold;
            }
            .nc-des{
                padding:10px 0;
                p{
                    line-height: 12px;
                }
            }
            .nc-payment-form-inner{
                .form-group{
                    label{
                        font-weight: normal
                    }
                    .form-control{
                        border-radius: 5px;
                    }
                    .form-select{
                        select{
                            float:left;
                            width:calc(50% - 6px);
                            margin-right:10px;
                            &:nth-child(2){
                                margin-right:0;
                            }
                        }
                    }
                }
            }  
        }
        .nc-button-container{
            margin-top:10px;
            text-align: right;
            a{
                padding:5px 50px;
            }
        }
    }
}
/*#endregion*/

#cart-success {
    width: 900px;
    border: 2px solid gray;
    background: #fff;
    padding: 10px;
    margin: 20px auto;

    .item {
        > * {
            width: calc(50%);
            float: left;
        }
    }

    .section-content {


        .item {
            margin-top:5px;

            .price {
                text-align: center;
            }
        }
    }

    .section-total {
        border-top: 2px solid var(--gray);
        padding: 5px 0;

        .item {
            margin-top: 2px;

            &:nth-child(1) {
                margin-top: 0px;
            }

            .price {
                text-align: center;
            }
        }
    }

    .section-information {
        padding: 5px 0;
        border-top: 2px solid var(--gray);

        .h5 {
            margin-bottom: 5px;
        }

        &:nth-child(1) {
            margin-top: 0px;
        }
    }
}


@media screen and (min-width: 1920px) {}

@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 1440px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1366px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1280px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1024px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {
    /*#region index*/
    main#product-page {
        margin-top: 55px;
    }
    .visible-sm{
        display: block;
    }
    .hidden-sm{
        display: none;
    }
    ::-webkit-scrollbar {
        display: none;
    }
    #product-category-mobile {
        .nc-section-header {
            .title {
                padding-top: 20px;
                text-align: center;
            }
        }

        .nc-section-body {
            .col-3item {
                > * {
                    width: calc((100% - 21px) / 3);
                    margin-right: 10px;

                    &:nth-child(3n) {
                        margin-right: 0px;
                    }
                }
            }

            .nc-item-product {
                margin-top: 10px;
                //  min-height: 230px;
                .nc-ava {
                    border-radius: 5px;

                    img {
                        border-radius: 5px;
                        width: 100%;
                        // height: 200px;
                    }
                }

                .nc-name {
                    padding-top: 10px;

                    span {
                        text-transform: uppercase;
                    }
                }

                .nc-price {
                    span {
                        font-weight: bold;
                    }
                }
            }
        }

        .nc-section-footer {
            .view-cart {
                background: rgba(241, 236, 236, 0.86);
                padding: 7px 5px;
                position: fixed;
                bottom: 0;
                left: 0;
                width: 100%;
                backdrop-filter: saturate(180%) blur(60px);
                z-index: 99;

                .total {
                    > * {
                        float: left;
                        font-size: 24px;
                    }

                    .count {
                        background-color: var(--dark);
                        border-radius: 5px;
                        padding: 0px 5px;
                        margin-right: 5px;

                        span {
                            margin-right: 10px;
                            color: var(--white);

                            &:nth-child(2) {
                                margin-right: 0px;
                            }
                        }
                    }

                    .total-number {
                        // padding: 5px;
                        span {
                            color: var(--dark);
                            font-weight: bold;
                        }
                    }
                }

                .nc-button-view {
                    text-align: right;

                    .btn {
                        border-radius: 25px;
                        background-color: var(--warning);
                        border-color: var(--warning);
                        color: var(--dark);
                        font-weight: bold;
                        padding: 7px 30px;
                    }
                }
            }
        }
    }
    #product-detail-mobile {
        background: #fff;
        position: fixed;
        left: -100%;
        top: 70px;
        width: 100%;
        -webkit-transition: left ease 0.5s;
        transition: left ease 0.5s;
        z-index: 97;
        display: none;

        &.showmenu {
            left: 0;
            height: 100%;
            -webkit-transition: left ease 0.5s;
            transition: left ease 0.5s;
            padding-bottom: 93px;
            overflow-y: overlay;
        }

        .nc-section-header {
            .remove-class {
                font-weight: bold;
                padding: 5px 20px;
                margin-bottom: 5px;
                border-bottom: 10px;
                display: inline-block;
                text-transform: uppercase;
                background: var(--primary);
                color: var(--white);
                border-radius: 5px;
            }

            .nc-information-product {
                .nc-ava {
                    width: 40%;
                    //  float: left;
                    img {
                        width: 100%;
                        //height: 300px;
                    }
                }

                .nc-info {
                    width: calc(60% - 20px);
                    margin-left: 20px;
                    // float: left;
                    .nc-name {
                        text-transform: uppercase;
                        color: var(--dark);
                        min-height: 100px;
                        font-weight: 600;
                        font-size: 32px;
                    }

                    .nc-action {

                        .nc-price {
                            width: 70%;
                            text-align: left;
                            font-weight: 600;
                            font-size: 28px;
                            color: var(--gray-dark);
                        }

                        .nc-quantity {
                            width: 30%;
                            text-align: right;

                            .nc-quantity-container {
                                display: -webkit-inline-flex;
                                display: -ms-inline-flexbox;
                                display: inline-flex;
                                align-items: center;
                                width: 100%;

                                .nc-divide {
                                    width: auto;


                                    .nc-divide-inner {
                                        text-align: right;
                                        float: right;

                                        a {
                                            text-align: center;
                                            width: 30px;
                                            display: block;
                                            height: 30px;
                                            font-size: 35px;
                                            line-height: 22px;
                                            border-radius: 50%;
                                            color: var(--gray);
                                            background: var(--white);
                                            // margin-top: 5px;
                                            border: 1px solid var(--gray);
                                        }
                                    }
                                }

                                .nc-input {
                                    width: auto;


                                    input {
                                        width: 100%;
                                        border: 0;
                                        text-align: center;
                                        // font-size: 28px;
                                        //  line-height: 6px;
                                        background: var(--white);

                                        &:focus {
                                            outline: none;
                                        }
                                    }
                                }

                                .nc-increase {
                                    width: auto;


                                    .nc-increase-inner {
                                        float: right;
                                        text-align: right;

                                        a {
                                            width: 30px;
                                            display: block;
                                            height: 30px;
                                            font-size: 35px;
                                            line-height: 25px;
                                            text-align: center;
                                            //  margin-top: 5px;
                                            border-radius: 50%;
                                            color: var(--white);
                                            background: var(--teal);
                                            border: 1px solid var(--teal);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .nc-des-container {
                font-size: 12px;
                color: var(--gray-dark);
                padding: 20px 0;
            }
        }

        .nc-section-body {
            .list-select-option {
            }

            .nc-list-option {
                border-bottom: 1px solid var(--gray);
                padding-bottom: 10px;
                margin-bottom: 10px;

                &:last-child {
                    border-bottom: 0px;
                }

                .nc-name {
                    font-weight: 600;
                    text-align: center;
                    margin-bottom: 20px;
                    font-size: 24px;
                }

                .nc-item {
                    margin-top: 10px;

                    &:nth-child(1) {
                        margin-top: 0;
                    }

                    .nc-item-left {
                        width: 80%;
                        float: left;

                        .nc-name-item {
                            font-size: 16px;
                            letter-spacing: -0.5px;

                            span {
                                text-transform: uppercase;
                            }
                        }

                        .nc-price-item {
                            span {
                                font-weight: bold;
                            }
                        }
                    }

                    .nc-item-right {
                        width: 20%;
                        float: left;

                        .nc-button {
                            .nc-button-container {
                                display: block;
                                position: relative;
                                padding-left: 20px;
                                margin-bottom: 12px;
                                cursor: pointer;
                                font-size: 22px;
                                -webkit-user-select: none;
                                -moz-user-select: none;
                                -ms-user-select: none;
                                user-select: none;
                                float: right;

                                input {
                                    position: absolute;
                                    opacity: 0;
                                    cursor: pointer;
                                    height: 0;
                                    width: 0;
                                }

                                input:checked ~ .checkmark {
                                    background-color: var(--teal);
                                    border: 2px solid var(--teal);

                                    &:after {
                                        display: block;
                                    }
                                }

                                .checkmark {
                                    position: absolute;
                                    top: 0;
                                    left: 0;
                                    height: 20px;
                                    width: 20px;
                                    border-radius: 50%;
                                    background-color: var(--white);
                                    border: 2px solid var(--gray);

                                    &:after {
                                        content: "";
                                        position: absolute;
                                        display: none;
                                        left: 5px;
                                        top: 2px;
                                        width: 7px;
                                        height: 12px;
                                        border: solid white;
                                        border-width: 0 3px 3px 0;
                                        -webkit-transform: rotate(45deg);
                                        -ms-transform: rotate(45deg);
                                        transform: rotate(45deg);
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .nc-note-container {
                margin-bottom: 30px;

                textarea {
                    width: 100%;
                    border-radius: 5px;
                    background: #e3e3e3;
                    border: 0;
                    outline: none;
                    resize: none;
                    padding: 5px;
                    height: 100px;

                    &:focus {
                    }
                }
            }
        }

        .nc-section-footer {
            .view-cart {
                backdrop-filter: saturate(180%) blur(60px);
                background: rgba(241, 236, 236, 0.81);
                padding: 7px 5px;
                position: fixed;
                bottom: 0;
                left: 0;
                width: 100%;

                .total {

                    .total-number {
                        // padding: 5px;
                        line-height: 28px;

                        span {
                            font-size: 20px;
                            color: var(--dark);
                            font-weight: 600;
                        }
                    }
                }

                .nc-button-view {
                    text-align: right;

                    .btn {
                        border-radius: 25px;
                        background-color: var(--warning);
                        border-color: var(--warning);
                        color: var(--dark);
                        font-weight: bold;
                        letter-spacing: -0.5px;
                        font-size: 10px;
                        padding: 5px 30px;
                    }
                }
            }
        }
    }
    #my-order {
        .nc-section-header {
            .nc-name {
                text-transform: uppercase;
                text-align: center;
                font-weight: bold;
                margin-bottom: 10px;
                font-size: 24px;
            }
        }

        .nc-section-body {
            .nc-item-product {
                border: 1px solid var(--gray);
                border-radius: 5px;
                padding: 10px;
                font-size: 20px;
                margin-top: 10px;

                &:nth-child(1) {
                    margin-top: 0px;
                }

                .nc-item-main {
                    .nc-item-main-left {
                        width: 90%;


                        .nc-name {
                            text-transform: uppercase;
                        }

                        .nc-price {
                            font-weight: bold;
                        }
                    }

                    .nc-item-main-right {
                        width: 10%;


                        .nc-quantity-container {
                            display: -webkit-inline-flex;
                            display: -ms-inline-flexbox;
                            display: inline-flex;
                            align-items: center;
                            width: 100%;

                            .nc-divide {
                                width: auto;


                                .nc-divide-inner {
                                    text-align: right;


                                    a {
                                        text-align: center;
                                        width: 20px;
                                        display: block;
                                        height: 20px;
                                        line-height: 15px;
                                        border-radius: 50%;
                                        color: var(--gray);
                                        background: var(--white);
                                        // margin-top:5px;
                                        border: 1px solid var(--gray);
                                    }
                                }
                            }

                            .nc-input {
                                width: auto;


                                input {
                                    width: 100%;
                                    border: 0;
                                    text-align: center;
                                    //   font-size: 20px;
                                    background: var(--white);
                                    // vertical-align: top;
                                    //  height: 20px;
                                    &:focus {
                                        outline: none;
                                    }
                                }
                            }

                            .nc-increase {
                                width: auto;

                                .nc-increase-inner {
                                    text-align: right;

                                    a {
                                        width: 20px;
                                        display: block;
                                        font-size: 20px;
                                        text-align: center;
                                        height: 20px;
                                        line-height: 19px;
                                        //  margin-top:5px;
                                        border-radius: 50%;
                                        color: var(--white);
                                        background: var(--teal);
                                        border: 1px solid var(--teal);
                                    }
                                }
                            }
                        }
                    }
                }

                .nc-item-modifier {
                    display: flex;

                    .nc-modifier-left {
                        width: auto;
                        font-size: 14px;
                    }
                }
            }
        }

        .nc-section-footer {
            padding: 20px;

            .nc-sub, .nc-tax, .nc-total {
                > * {
                    width: 50%;
                    float: left;
                }

                .nc-left {
                    font-size: 20px;
                    text-transform: uppercase;
                }

                .nc-right {
                    text-align: right;
                    font-weight: 600;
                    font-size: 20px;
                }
            }

            .nc-total {
                margin-bottom: 20px;

                .nc-left {
                    font-weight: bold;
                }

                .nc-right {
                    color: var(--red);
                    font-weight: bold;
                }
            }

            .nc-button {
                > * {
                    width: calc(50% - 6px);
                    margin-right: 10px;
                    float: left;

                    &:nth-child(2) {
                        margin-right: 0px;
                    }
                }

                .btn {
                    border-radius: 25px;
                    font-weight: 600;

                    &:nth-child(1) {
                        color: var(--white);
                        background: var(--teal);
                        border-color: var(--teal);
                    }

                    &:nth-child(2) {
                        color: var(--dark);
                        background: var(--warning);
                        border-color: var(--warning);
                    }
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {
    /*#region index*/
    .visible-xs{
        display: block;
    }
    .hidden-xs{
        display: none;
    }
    #product-category-mobile {
        .nc-section-body {
            .col-3item {
                > * {
                    width: calc(50% - 6px);
                    margin-right: 10px;

                    &:nth-child(3) {
                        margin-right: 10px;
                    }

                    &:nth-child(2n) {
                        margin-right: 0px;
                    }
                }
            }

            .nc-item-product {
                .nc-ava {
                    img {
                      //  height: 150px;
                    }
                }
            }
        }
    }
    #product-detail-mobile {
        .nc-section-header {
            .nc-information-product {
                .nc-ava {
                    width: 40%;
                    float: left;

                    img {
                        width: 100%;
                        //  height: 150px;
                    }
                }

                .nc-info {
                    width: calc(60% - 10px);
                    margin-left: 10px;
                    float: left;

                    .nc-name {
                        text-transform: uppercase;
                        color: var(--dark);
                        min-height: 100px;
                        font-weight: 600;
                        font-size: 13px;
                    }

                    .nc-action {
                        > * {
                            float: left;
                        }

                        .nc-price {
                            width: 50%;
                            text-align: left;
                            font-weight: 600;
                            font-size: 20px;
                        }

                        .nc-quantity {
                            width: 50%;
                            text-align: right;

                            .nc-quantity-container {
                                display: -webkit-inline-flex;
                                display: -ms-inline-flexbox;
                                display: inline-flex;
                                align-items:center;
                                width: 100%;

                                .nc-divide {
                                    width: auto;


                                    .nc-divide-inner {
                                        a {
                                            width: 25px;
                                            height: 25px;
                                            font-size: 25px;
                                            line-height: 20px;
                                        }
                                    }
                                }

                                .nc-input {
                                    width: auto;


                                    input {
                                       // font-size: 20px;
                                    }
                                }

                                .nc-increase {
                                    width: auto;


                                    .nc-increase-inner {
                                        a {
                                            width: 25px;
                                            height: 25px;
                                            font-size: 25px;
                                            line-height: 23px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .remove-class {
                font-weight: bold;
                padding: 3px 15px;
                margin-bottom: 5px;
                font-size: 12px;
                /* border-bottom: 10px; */
                display: inline-block;
                text-transform: uppercase;
                background: var(--primary);
                color: var(--white);
                border-radius: 4px;
            }
        }

        .nc-section-body {
            .nc-list-option {
                .nc-name {
                    font-size: 17px;
                }

                .nc-item {
                    .nc-item-left {
                        .nc-name-item {
                            font-size: 14px;
                        }
                    }
                }
            }
        }
    }
    #my-order {
        .nc-section-header {
            .nc-name {
                text-transform: uppercase;
                text-align: center;
                font-weight: bold;
                margin-bottom: 10px;
                font-size: 24px;
            }
        }

        .nc-section-body {
            .nc-item-product {
                border: 1px solid var(--gray);
                border-radius: 5px;
                padding: 10px;
                font-size: 15px;
                margin-top: 10px;

                &:nth-child(1) {
                    margin-top: 0px;
                }

                .nc-item-main {
                   // display: inline-flex;

                    .nc-item-main-left {
                        width: 80%;
                        //      float: left;
                        .nc-name {
                            text-transform: uppercase;
                        }

                        .nc-price {
                            font-weight: bold;
                        }
                    }

                    .nc-item-main-right {
                        width: 20%;
                        //  float: left;
                        .nc-quantity-container {
                            display: -webkit-inline-flex;
                            display: -ms-inline-flexbox;
                            display: inline-flex;
                            align-items: center;
                            width: 100%;

                            .nc-divide {
                                width: auto;
                            }

                            .nc-input {
                                width: auto;
                            }

                            .nc-increase {
                                width: auto;
                            }
                        }
                    }
                }
            }
        }

        .nc-section-footer {
            padding: 20px;

            .nc-button {
                > * {
                    width: calc(50% - 6px);
                    margin-right: 10px;
                    float: left;

                    &:nth-child(2) {
                        margin-right: 0px;
                    }
                }

                .btn {
                    border-radius: 25px;
                    font-weight: 600;
                    font-size: 11px;

                    &:nth-child(1) {
                        color: var(--white);
                        background: var(--teal);
                        border-color: var(--teal);
                    }

                    &:nth-child(2) {
                        color: var(--dark);
                        background: var(--warning);
                        border-color: var(--warning);
                    }
                }
            }
        }
    }
    #checkout {
        .nc-section-body {
            .nc-contact-information {
                .nc-info {
                    .nc-billing {
                        border-top: 1px solid var(--gray);
                        border-bottom: 1px solid var(--gray);

                        .nc-item-product-mobile {
                            .nc-left {
                                width: 80%;
                                float: left;

                                .nc-name {
                                    font-size: 13px;
                                    font-weight: bold;
                                    text-transform: uppercase;
                                }

                                .nc-modifiers {
                                    margin-left: 10px;

                                    span {
                                        font-size: 12px;
                                    }
                                }
                            }

                            .nc-right {
                                width: 20%;
                                float: left;
                                text-align: right;

                                .nc-price {
                                    font-weight: bold;
                                    font-size: 16px;
                                }
                            }
                        }

                        .nc-item-total {
                            text-align: right;
                            font-weight: bold;
                            font-size: 20px;
                        }

                        .nc-item-subtotal {
                            font-size: 18px;

                            &:nth-child(1) {
                                border-top: 1px solid var(--gray);
                            }
                        }
                    }

                    .coupon {
                        a {
                            font-size: 12px;
                            padding: 7px 0;
                        }
                    }
                }
            }
        }
    }
    #cart-success {
        .section-body {
            .section-point,
            .section-information {
                .item {
                    > * {
                        &:nth-child(1) {
                            width: 100%;
                            margin-top: 0;
                        }

                        &:nth-child(2) {
                            width: 100%;
                            margin-top: 15px;
                        }
                    }
                }
            }

            .section-information {
                .item {
                    > * {
                        &:nth-child(1) {
                            width: 100%;
                        }

                        &:nth-child(2) {
                            width: 100%;
                            margin-top: 0;
                        }
                    }
                }
            }
        }
    }
    
    /*#endregion*/
}

@media screen and (max-width: 375px) {
    #product-category-mobile{
       
        .nc-section-footer{
            .view-cart{
              
                .total{
                    > * {
                        font-size:24px;
                    }
                  
                   
                }
                .nc-button-view{
                    .btn{
                        font-size: 14px;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 360px) {
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
    #product-category-mobile{
        .nc-section-body{
            .nc-item-product{
                .nc-ava{         
                  img{
                      height:120px;
                  }  
                }
    
            }
        }
        .nc-section-footer{
            .view-cart{
              
                .total{
                    > * {
                        font-size:20px;
                    }
                  
                   
                }
                .nc-button-view{
                    .btn{
                        font-size: 12px;
                        padding: 5px 30px;
                    }
                }
            }
        }
    }
    #product-detail-mobile {
        .nc-section-header {
            .nc-information-product {
                .nc-ava {
                    width: 40%;
                    float: left;

                    img {
                        width: 100%;
                        height: 100px;
                    }
                }

                .nc-info {
                    width: calc(60% - 10px);
                    margin-left: 10px;
                    float: left;

                    .nc-name {
                        text-transform: uppercase;
                        color: var(--dark);
                        min-height: 50px;
                        font-weight: 600;
                    }

                    .nc-action {
                        > * {
                            width: 50%;
                            float: left;
                        }

                        .nc-price {
                            text-align: left;
                            font-weight: 600;
                            font-size: 20px;
                        }

                        .nc-quantity {
                            text-align: right;

                            .nc-quantity-container {
                                display: -webkit-inline-flex;
                                display: -ms-inline-flexbox;
                                display: inline-flex;
                                align-items: center;
                                width: 100%;

                                .nc-divide {
                                    width: auto;
                                }

                                .nc-input {
                                    width: auto;
                                }

                                .nc-increase {
                                    width: auto;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    #my-order{
     
        .nc-section-footer{
            padding:10px;
            .nc-button{
                > *{
                    width:calc(50% - 6px);
                    margin-right:10px;
                    float: left;
                    &:nth-child(2){
                        margin-right:0px;
                    }
                }
                .btn{
                    border-radius: 25px;
                    font-weight: 600;
                    font-size:9px;
                    &:nth-child(1){
                        color:var(--white);
                        background:var(--teal);
                        border-color:var(--teal);
                    }
                    &:nth-child(2){
                        color:var(--dark);
                        background:var(--warning);
                        border-color:var(--warning);
                    }
                }
            }
        }
    }
    #checkout{
        .nc-section-body{
            .nc-contact-information{
                .nc-info{
                    .nc-billing{
                        border-top:1px solid var(--gray);
                        border-bottom:1px solid var(--gray);
                        .nc-item-product-mobile{
                            .nc-left{
                                width:80%;
                                float:left;
                                .nc-name{
                                    font-size: 12px;
                                    font-weight: bold;
                                    text-transform: uppercase;
                                }
                                .nc-modifiers{
                                    margin-left:10px;
                                    span{
                                        font-size:11px;
                                    }
                                }
                            }
                            .nc-right{
                                width:20%;
                                float:left;
                                text-align: right;
                                .nc-price{
                                    font-weight: bold;
                                    font-size: 17px;
                                }
        
                            }
                        }
                        .nc-item-total{
                            text-align: right;
                            font-weight: bold;
                            font-size:18px;
                        }
                    }
                    .coupon{
                        a{
                            font-size:12px;
                            padding: 7px 0;
                        }
                    }
                }
            }
        }
    }
}